Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# fprintCacheEntry_s Struct Reference

Finger print cache entry. More...

`#include <fprint.h>`

## Data Fields
const char * | dirName
dev_t | dev
ino_t | ino
int | isFake

## Detailed Description

Finger print cache entry.

This is really a directory and symlink cache. We don't differentiate between the two. We can prepopulate it, which allows us to easily conduct "fake" installs of a system w/o actually mounting filesystems.

Definition at line 27 of file fprint.h.

## Field Documentation

dev_t fprintCacheEntry_s::dev

| stat(2) device number Definition at line 29 of file fprint.h. Referenced by doLookup(), fpHashFunction(), and handleOverlappedFiles().

const char* fprintCacheEntry_s::dirName

| path to existing directory Definition at line 28 of file fprint.h. Referenced by doLookup().

ino_t fprintCacheEntry_s::ino

| stat(2) inode number Definition at line 30 of file fprint.h. Referenced by doLookup(), and fpHashFunction().

int fprintCacheEntry_s::isFake

| (currently unused) Definition at line 31 of file fprint.h. Referenced by doLookup().

The documentation for this struct was generated from the following file:

- rpmdb/fprint.h